Subject: Re: bug#24899: 25.1; x-hide-tip always returns nil with USE_GTK
From: martin rudalics <[email-masked]>
To: nverno <[email-masked]>, [email-masked]
Date: Tue, 10 Oct 2017 11:15:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Calling `x-hide-tip` always returns nil (it is documented to
 > return t when the tooltip is active). I noticed this after
 > recently compiling with gtk3. I was using `x-hide-tip` in
 > a toggling function that stopped toggling. As an example
 > of what currently doesn't work:
 >
 > (defun toggle-tip ()
 >     (interactive)
 >     (or (x-hide-tip)
 >       (pos-tip-show "hi")))

This should work with Emacs 26 so I'm closing this bug.

Thanks, martin